package controller

import (
	"github.com/rs/zerolog"
	"web-qudo-be/app/module/clients/service"
)

type Controller struct {
	Clients ClientsController
}

func NewController(ClientsService service.ClientsService, log zerolog.Logger) *Controller {
	return &Controller{
		Clients: NewClientsController(ClientsService, log),
	}
}
